Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.uddi.client.structures.datatypes
Class Contact

    java.lang.Object
      weblogic.uddi.client.structures.datatypes.Contact

public class Contact
extends Object

The contact structure lets you record contact information for a person. This information can consist of one or more optional elements, along with a person’s name.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`Contact()` Class constructor.

Method Summary
`void` | `addAddress(Address addr)` Adds a new address to the set of addresses.
`void` | `addDescription(String description)` Adds a new description to the set of descriptions.
`void` | `addEmail(String email)` Adds a new email to the set of emails.
`void` | `addPhone(String phone)` Adds a new phone number to the set of phone numbers.
`Vector` | `getAddressVector()` Gets the set of addresses.
`Vector` | `getDescriptionVector()` Gets the set of descriptions.
`Vector` | `getEmailVector()` Gets the set of emails.
`PersonName` | `getPersonName()` Gets the value of person name.
`Vector` | `getPhoneVector()` Gets the set of phone numbers.
`String` | `getUseType()` Get the value of use type.
`void` | `setAddressVector(Vector v)` Gets the set of addresses.
`void` | `setDescriptionVector(Vector v)` Gets the set of descriptions.
`void` | `setEmailVector(Vector v)` Gets the set of emails.
`void` | `setPersonName(PersonName value)` Sets the value of person name.
`void` | `setPersonName(String value)` Sets the value of person name string.
`void` | `setPhoneVector(Vector v)` Gets the set of phone numbers.
`void` | `setUseType(String value)` Set the value of use type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Contact

    public Contact()

  Class constructor.

Method Detail

### addAddress

    public void addAddress(Address addr)

  Adds a new address to the set of addresses.

  Parameters:
    `addr` - the new address.

### addDescription

    public void addDescription(String description)

  Adds a new description to the set of descriptions.

  Parameters:
    `description` - the new description.

### addEmail

    public void addEmail(String email)

  Adds a new email to the set of emails.

  Parameters:
    `email` - the new email.

### addPhone

    public void addPhone(String phone)

  Adds a new phone number to the set of phone numbers.

  Parameters:
    `phone` - the new phone number.

### getAddressVector

    public Vector getAddressVector()

  Gets the set of addresses.

  Returns:
    the set of addresses.

### getDescriptionVector

    public Vector getDescriptionVector()

  Gets the set of descriptions.

  Returns:
    the set of descriptions.

### getEmailVector

    public Vector getEmailVector()

  Gets the set of emails.

  Returns:
    the set of emails.

### getPersonName

    public PersonName getPersonName()

  Gets the value of person name.

  Returns:
    the current value of person name.

### getPhoneVector

    public Vector getPhoneVector()

  Gets the set of phone numbers.

  Returns:
    the current set of phone numbers.

### getUseType

    public String getUseType()

  Get the value of use type.

  Returns:
    the current value of use type.

### setAddressVector

    public void setAddressVector(Vector v)

  Gets the set of addresses.

  Parameters:
    `v` - the new set of addresses.

### setDescriptionVector

    public void setDescriptionVector(Vector v)

  Gets the set of descriptions.

  Parameters:
    `v` - the new set of descriptions.

### setEmailVector

    public void setEmailVector(Vector v)

  Gets the set of emails.

  Parameters:
    `v` - the new set of emails.

### setPersonName

    public void setPersonName(PersonName value)

  Sets the value of person name.

  Parameters:
    `value` - the new value of person name.

### setPersonName

    public void setPersonName(String value)

  Sets the value of person name string.

  Parameters:
    `value` - the new value of person name string.

### setPhoneVector

    public void setPhoneVector(Vector v)

  Gets the set of phone numbers.

  Parameters:
    `v` - the new set of phone numbers.

### setUseType

    public void setUseType(String value)

  Set the value of use type.

  Parameters:
    `value` - the new value of use type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD